Autocad Pratik Komutlar

Curse

Üye
Kayıt
30 Eylül 2007
Mesaj
315
Tepki
2
Tekstil Grafik Kursu
Autocad Pratik Komutlar Arkadaşlar, bu başlık altında sizlerin kullandığı, çok fazla bilinmeyen, işimizi oldukça kolaylaştıran komutları paylaşalım istiyorum. Açılışı ben yapayım tabi ki
1- Properties: benim için vazgeçilmez, sürekli açık sayılır. Ctrl+1 ile açıp kapatabiliriz.
2- Quick Select: Bu da vazgeçilmezlerimden; objeleri, blokları, yazıları vs. renk, isim, layer gibi özelliklerini kullanarak hızlı bi şekilde seçip istersek toplu değişiklikler yapabileceğimiz bi komut.
3- Trim f (fence) dersek toplu budama yapabiliriz. Break f dersek seçtiğimiz iki nokta arasını kırarız, kopartırız.
4- Wipeout: Belirlediğimiz alan içindeki bölümü çizimimizden tamamen kopartır. Ben özellikle antet ayarları yaparken çerçevem dışına taşan kısımları bu komutla hızlı bir şekilde temizliyorum.
 

Curse

Üye
Kayıt
30 Eylül 2007
Mesaj
315
Tepki
2
File menüsünden Etransmit komutu: Dosyanızı ve içindeki herşeyi (imajlar, xrefler, fontlar, ctb) bir zip dosyası ya da bir klasörde toplar.

Wipeout: Bloklarla birlikte kullanıldığında çok işe yarar. Örneğin lavabo bloğunuzu altında wipeout oluşturarak redefine edin. Islak zemine yaptığınız hatch wipeout altında kaldığında görünmeyecektir. Böylelikle tefriş değişiklikleri sonrasında yeniden hatch yapma derdi kalmaz.

Filter: Quick select benzeri ama bir çok özelliği tek seferde seçebileceğiniz bir komut.

Clipit: (Express tools içinde extended clip olarak geçiyor) Çizdiğiniz polyline'a göre imajı clip etmenize yarar.

Divide/B & Measure/B: point yerine block yerleştirebilirsiniz.

Express/Text/Automatic text numbering: Merdiven basamaklarını numaralandırmak için süper.

Ve bir öneri: Customize toolbars/Keyboard'dan find komutu kısayolunu Ctrl+F yapın, çok kullanışlı.

Automatic text numbering


text'leri seçtikten sonra neye göre sıralandıracağını sorar. select order seçerseniz seçim sırasına göre, x seçerseniz x eksenine göre, y seçerseniz de y eksenine göre sıralar.
--örneğin text'ler yanyana duruyorsa x seçersiniz ve numaralandırmayı soldan sağa doğru yapar. altalta duruyorlarsa y seçersiniz ve numaralandırma aşağıdan yukarıya yapılır.

daha sonra başlangıç numarasını ve kaçar kaçar artacağını aralarına virgül koyarak girersiniz.
--örneğin 1,2 girerseniz 1'den başlar ve ikişer ikişer artırarak numaralandırır. ya da 5,-1 girerseniz 5'ten başlayarak birer eksilterek numaralandırır.

sonra da overwrite (üzerine yaz)/prefix (önek)/suffix (son ek)/find&replace (bul&değiştir) seçenekleri çıkar.
--örneğin numaralandırmak istediğiniz text'lerin başında x yazsın istiyorsunuz. x harfini kopyalayıp komuta başlarsınız, ve prefix girersiniz. x harfini önek olarak saklar. overwrite derseniz de sadece rakamları yazar.

__________________
 

Curse

Üye
Kayıt
30 Eylül 2007
Mesaj
315
Tepki
2
express/layers

ayiso: seçili objenin katmanı dışındaki tüm katmanları görünmez yapar.
layon: tüm katmanları görünür hale getirir.
layoff: seçtiğiniz objenin katmanını görünmez yapar.
laythw: tüm katmanları "unfreeze" eder.
layfrz: seçtiğiniz objenin katmanını "freeze" eder.
layulk: seçtiğiniz objenin katmanını "unlock" eder.
laylck: seçtiğiniz objenin katmanını kilitler.
laycur: seçili objelerin katmanını aktif katmana değiştirir.
laymch: match properties komutunun sadece katman eşleştirmeye yarayanıdır.

bu komutlardan layon ve laythw dışındakiler için zaten bir toolbar mevcut. layon ve laythw için de birer düğme oluşturup bu toolbara eklerseniz çalışma hızınızın arttığını göreceksiniz.
------------------------------------------------------------------------
plan komutu:
açılı çizimlerde selection yapmak bazen insanı çileden çıkartabilir çünkü selection penceresi illa ki x-y koordinatlarına dik olarak çıkar. bunu engellemenin bir yolunu bilmiyorum ancak plan düzleminizi değiştirebilirsiniz.
ucs object'ten açılı olan çizgiyi seçin. (ucs ob )
daha sonra plan yazıp iki kez enter'a basın. plan düzleminiz artık açılı bölümü düz olarak görecektir. strecth vb. komutları bu şekilde daha rahat kullanabilirsiniz.

express/modify/multiple object stretch: (adı üstünde çoklu stretch) birkaç kez seçim yapıp hepsini tek seferde stretch etmenize yarar.

__________________
 

Curse

Üye
Kayıt
30 Eylül 2007
Mesaj
315
Tepki
2
solprof> ekranda görünen katının resmini çeker hangi ucs de olsun farketmez ve 3 boyutlu nesneyi 2 boyutlu yapar..Ancak önemli ayrıntı layoutta view açıp orda komutu uygulamak gerekir.

shell> katı cismin içini boşaltır (bir ceviz kabuğu gibi)

----------------------------------------

layiso: seçili objenin katmanı dışındaki tüm katmanları görünmez yapar.
layon: tüm katmanları görünür hale getirir.
layoff: seçtiğiniz objenin katmanını görünmez yapar.
laythw: tüm katmanları "unfreeze" eder.
layfrz: seçtiğiniz objenin katmanını "freeze" eder.
layulk: seçtiğiniz objenin katmanını "unlock" eder.
laylck: seçtiğiniz objenin katmanını kilitler.
laycur: seçili objelerin katmanını aktif katmana değiştirir.
laymch: match properties komutunun sadece katman eşleştirmeye yarayanıdır.

bu komutlardan layon ve laythw dışındakiler için zaten bir toolbar mevcut. layon ve laythw için de birer düğme oluşturup bu toolbara eklerseniz çalışma hızınızın arttığını göreceksiniz.
---------------------------------------------------
CTRL tuşu: örneğin üstüste iki çizgi var, komuttayken bu tuşu basılı tutarak nesneler üzerine tıklayın, her tıklayışta seçilebilecek nesneleri size gösterir ve sağ tıkladığınızda istediğinizi seçmiş olursunuz.
SHIFT tuşu: örneğin bir seçim yaptınız ve yanlışlıkla istemediğiniz birşeyleri de seçtiniz, shift'e basıp istemediklerinizi tekrar seçtiğinizde bu sefer "deselect" yapacaktır. shift'e basmak yerine r (remove) da diyebilirsiniz.
TAB tuşu: osnap yaparken size sırayla seçenekleri gösterecektir. örneğin osnap size otomatik olarak endpoint gösteriyor ama siz perpendicular tutmasını istiyorsunuz, tab tuşuna basın ve orada olabilecek ne varsa her basışta sırayla göstersin.
CTRL+TAB: birden çok çizim açıksa pencereler arasında gezinmenizi sağlar. (aslında windows'ta tüm programlar için geçerli)
Yukarı Ok: command line'a daha önce yazdıklarınızı sırayla gösterir. az kullandığınız için kısayol atamadığınız örneğin psltscale falan gibi gıcık komutları tekrar yazmak yerine oka basarsınız ve enter dersiniz.


__________________
 

Curse

Üye
Kayıt
30 Eylül 2007
Mesaj
315
Tepki
2
* Snapang ile açılı çizimlerde cursor a çizime göre açı verebiliriz. İşimizi biraz daha kolaylaştırır, tekrar eski haline getirmek içinde değeri 0 yaparız.
* Chamfer veya fillet yapmak istediğimiz iki çizgi birleşmiyorsa (z değerlerinin 0 olmasından olabilir) Z değerini çoklu seçimlerde flatten den yaptığımız gibi birkaç çizgiye uygulamak istiyorsak çizgileri toplu seçip properties penceresinden z değerlerini 0 yağmamız yeterli oluyo.
* Bak dosyalarının uzantılarını dwg yaparsak Autocad dosyasına dönüşürler. (bilmeyen arkadaşlar olabilir diye düşündüm)
* Aliasedit ile komutlarımıza kısayol atayabiliriz. Pgp de atamaktan daha pratiktir. Zaten pgp ye kaydetmek isteyip istemediğimizi soruyor.

------------------------------------------------------------------
nokta yakalama komutlarını tek tek seçmek yerine bitcode değerini kullanarak açar.
komutların bitcode ları;
0 NONe
1 ENDpoint
2 MIDpoint
4 CENter
8 NODe
16 QUAdrant
32 INTersection
64 INSertion
128 PERpendicular
256 TANgent
512 NEArest
1024 Clears all object snaps
2048 APParent Intersection
4096 EXTension
8192 PARallel

mesela çizimlerde standart olarak
endpoint,midpoint,intersection kullanan birisi bunların değerlerini toplayarak (1+2+32=35) osmode=35 yazdımı bunlar otomatik olarak açılacaktır.
osmode=0 hepsini kapatır.
 

Curse

Üye
Kayıt
30 Eylül 2007
Mesaj
315
Tepki
2
bloklarda x,y,z scale: bir blok seçip, özelliklerine bakarsanız, burada xscale, yscale ve zscale olduğunu göreceksiniz. (bunu zaten çoğumuz biliyoruz) ancak bu kendi amacından farklı olarak ne şekilde bizim işimize yarar?

örneğin bir cephe çiziminde bir duvarı açılı olarak görüyoruz. (bu bir proje çizimi olabilir, ya da rölöve çizerken altına imaj koyduğumuz bir duvar olabilir.) duvarı dik görerek çiziyoruz, ya da imajı insert ediyoruz. sonra duvar çizimini ya da imajı blok yapıyoruz. ve xscale ile oynuyoruz. böylece ortografik düzlemde açılı görme işini kolayca hallediyoruz. hatta bloğu patlattıktan sonra (kalınlık vermek gibi) istediğimiz ekleri yapabiliyoruz.

draw boundary: hatch yapacaksınız, ancak insanı delirten uyarıyla karşılaşıyorsunuz: valid hatch boundary not found!! hemen boundary çiziyorsunuz, açık olan yerin neresi olduğunu bulduktan sonra boundary polyline'ını trimliyorsunuz. hatta bu boundary'leri basılmayacak bir layer'da oluşturursanız, hatch'leri associated yaparsınız. daha sonra m2 hesaplamak için de çok yararlı olur, özelliklerinden alanına bakar, hemen yazarsınız.
-------------------------------------------------------------------------------------------------------------------
multiple komutu girilen komutun tekrarlanmasını sağlar
birde
rememberfolders komutu var acadda open derken hangi klasöre gideceğini belirler.
rememberfolders<0>=Windowsta açılan dosyanın klasörüne gider.
rememberfolders<1>=Acaddan açılan dosyanın klasörüne gider.
-----------------------------------------------------------------------------------------
kısaca express/text menüsünü anlatayım:

remote text:
file option: bir txt dosyasını rtext olarak getirir.
diesel option: açılan pencereye yazacaklarınızı yazıp rtext olarak yerleştirirsiniz.
rtext'in dğer text'lerden farkı şu ki, içeriğini değiştiremiyorsunuz.
ben ne işe yaradığını çözemedim, bilen varsa anlatsın lütfen


text fit: text'i belirli bir alana yaymanızı ya da sıkıştırmanızı sağlar. aslında sadece width factor'u değiştiriyor. buna da zaten özellikler panelinden ulaşabiliyoruz. bu komutu da biraz saçma buldum ben şahsen.

text mask: text'in altına wipeout, solid ya da 3dface koyarak text'in altındaki nesnelerin görünmemesini sağlıyor. ıslak hacim taramalarının yazı ile karışmasını istemiyorsanız bu komutu kullanabilirsiniz.

text unmask: maskeyi kaldırıyor.

explode text: text'i patlatıp 2d polyline'a çeviriyor. bazen hatalı yapıyor, bazen düzgün. patlatınca text'lerin içi boşalıyor belki bunun için istenebilir ama onun için de textfill komutu var, kısacası bunun da ne amaçla kullanılabileceğini anlamadım..

convert text to mtext: text'i multiline text'e çeviriyor. birden fazla text seçerseniz hepsini tek bir mtext objesinde topluyor. tabi aralarındaki mesafeyi ve hizalarını kafasına göre değiştiriyor.

arc-aligned text: yay şeklinde text. önce yayı gösteriyorsunuz, açılan pencereye yazınızı yazıp, ayarlarınızı yapıyorsunuz.

justify text: bildiğiniz gibi text özelliklerinden justify text'in grip noktasını belirler. seçenekler sağ-üst, orta-alt, sol, vb.'dir. justify özelliğini değiştirdiğimizde text'in yeri de değişir. işte bu komut text'in yerini değiştirmeden sadece justification'ını (türkçesini çıkaramadım şimdi ) yani grip noktasını değiştiriyor. benim gibi obsesif kullanıcılar için ideal..

rotate text: bu komut seçtiğiniz tüm text'lerin açılarını girdiğiniz açı değerine çekiyor. yani özellikler panelinden ulaşabildiğimiz bir değeri komut haline getirmişler, bunu da gereksiz buldum.

enclose text with object: bu komut, text'in etrafına sizin belirlediğiniz bir offset değerinde daire, dikdörtgen yada slot(?) çiziyor.

automatic text numbering: text'leri otomatik olarak sıralamaya yarayan başarılı bir komut. daha önce detaylı bilgi verdiğim için bunu geçiyorum..

change text case: bu komutla caps-lock'ı açık unutup da yazdığınız yazıları kolaylıkla düzeltebiliyorsunuz. büyük harf-küçük harf ayarlamalarını yapıyor kısaca..
 

Curse

Üye
Kayıt
30 Eylül 2007
Mesaj
315
Tepki
2
bazen birden fazla objeyi kopyalarken yanlış noktaya yerleştiririz.

ve move "P" (Previous) yaparak son kopyaladığımız objeyi seçmek isteriz
yada move "L" (Last) son çizilen objeyi kolaylıkla seçmek isteriz hiç başınıza geldimi bilmiyorum P yapınca önceki seçim grubunu seçer ama seçmek istebiğimiz onlar değildir
L desek son çizilen tek objeyi yakalar ama biz onu daseçmek istemiyoruz kopyaladığımız tüm objeleri seçmek istiyoruz ne yapacan mecbur undo yap tekrar copy elin mahkum
o karışık çizim içerisinden tektek yanlış kopyaladıklarını seçip silemezsinde işde bu problemi Autodesk de çözmemiş ben çözeyim dedim ve aşağıdaki lispi yazdım

copy/paste yapın komut satırına aşağıdaki kodu ve copy komutunu tekrar deneyin
yada lisp gibi kopyalayıp yükleyin lisp copy komutunu çalışmaz hale getirip yerine bu lispi
çalıştırıyor yanlız klavyeden komutu yazmanız gerekiyor COPY yada kendi belirlediğiniz (PGP) kısayolla çalıştırmalısınız toolbarlardan yine normal çalışıyor ayrıca türkçe

copy yapın bir grup objeyi daha sonra move p yi deneyin farkı göreceksiniz

(command "undefine" "copy" )(defun c:copy ()

(princ "\nObjeleri Seçiniz")

(if (/= (setq set1 (ssget)) nil)

(progn
(setq nokta1 (getpoint "\nDeğişken temel noktayı mıhlayınız:"))
(while
(setq
nokta2 (getpoint
nokta1
"\nDeğişken diger nokta mıhlayınız yada <çıkış>:"
)
&nbsp,
(command "_.copy" set1 "" nokta1 nokta1)
(command "_.move" "p" "" nokta1 nokta2)
(setq nokta1 nokta2)
)
(princ
"\nAslansın be! kopyaladın karbon kagıdı gibisin mubarek!"
)
)
(princ "\nBi Sey secmedin seçim yapmalısın")
)

(princ)
----------------------------------------------------------------------------------------------------
AutoCAD de objelerin entityleri
komut satırına aşağıdaki lisp kodunu yazarak herhangi bir objenin entitylerini alabilirsiniz

(entget(car(entsel)))

örneğin 0,0 dan 0,1 e çizilen 0 layerindaki objenin entitysi söyledir.

((-1 . <Entity name: 7efbbf68>) (0 . "LINE") (330 . <Entity
name: 7efbbcf8>) (5 . "E5") (100 . "AcDbEntity") (67 . 0) (410 . "Model") (8 .
"0") (100 . "AcDbLine") (10 0.0 0.0 0.0) (11 0.0 1.0 0.0) (210 0.0 0.0 1.0))

__________________
 

Curse

Üye
Kayıt
30 Eylül 2007
Mesaj
315
Tepki
2
Dispsilh:Hepimiz hide görüntüde çıktı alırken AutoCAD'in koyduğu ilave çizgilerden sıkılmışızdır.Bu çizgileri iptal etmek için AutoCAD'de bu komut kullanılır.Komut satırına dispsilh yazmamız yeterlidir.Eğer, değer 0 ise çizgiler görünür ve resim çok karmaşık halde gelir.Değeri 1 yaparsak çizim çok sade ve hide görüntü olmuş olur.

Zoomfactor:Faremizin tekerleğini kullanarak zoom yapmak oldukça kolaydır.Fakat ilk zoom adım arası bize büyük gelebilip bir adım küçültünce çok küçük bir adım büyültünce çok büyük bir adım gelebilir.Bunu için yapmamız gereken zoomfactor sistem değişkenini 3-100 arasında bir değer girmemiz yeterli olacaktır.
------------------------------------------------------------------------

Purge
Bu konu başlığında mutlak olması gereken bir komut, bahsedilmedi sanırım. Şu anda bir uygulama projesi çiziyorum ve "purge" komutunu 3 yıl önce bana öğreten o hanıma ne kadar hayır duası okusam azdır, e tabi zamanı gelince başkasından da öğrenirdim ama olsun.

Binlerce fazlalık layer var çiziminizde. Hatta ölçüleriniz "ölçü", "ölçüler", "olcu" gibi layerlara dagılmış, bu ve bunun gibi binlerce problem. Ne yapacaksınız, hepsine kalem kalınlığı verebilirsiniz ama renk değiştirmek vb. durumlar söz konusu ise işiniz çok zor.

Burada öncelikle "quick select" kullanacaksınız, daha önce bahsedilmişti. Quick select, çeşitli seçim kombinasyonları ile istediğiniz layer, nesne, şu renkteki tüm çizgiler gibi seçimler yapmanızı sağlar.

Tüm nesneleri doğru layerlara toplayınca bazı artık layerlar kalacaktır. Onları silmek içinse "purge" komutunu kullanacaksınız. Yalnız "purge" sadece fazla layerları değil, kullanılmayan kalem tipi, ölçü stili, yazı stili ne varsa gösterir. İster aradan seçtiklerinizi silersiniz, ister fazlalık ne varsa.

__________________
 

Curse

Üye
Kayıt
30 Eylül 2007
Mesaj
315
Tepki
2
kesişen birçok line arc circle ve polylineyi sectiğinde kesişim noktalarından kıran bir lisp
;;;vardı ama nerde internetde biryerlerde olacak
;;;bu sadece line ler için ama hepsi için olanıdavardı internet bu araştır!!!!!!!!!!

;|================================================ ===============|;
;| MBRK.lsp by Michael Bulatovich, 18th Mar., 2004 |;
;| |;
;| Breaks a number of lines at their intersections |;
;| with a number of other lines. Behavior is as if |;
;| EDGEMODE is set to 0. ("MultiBreak") |;
;| |;
;|================================================ ===============|;




(Defun C:MBRK (/ ss bs cnt bcnt inf beinf pnt1
pnt2 enam bename einf pnt3 pnt4 intr oldemode
)

(setvar "cmdecho" 0)
(setq olderror *error*
oldemode (getvar "edgemode")
)

(defun *mbrk_error* (msg)
(if (or (= msg "Function cancelled")
(= msg "quit / exit abort")
)
(princ "\nFunction cancelled by user.")
(progn
(princ "\nError: ")
(princ msg)
)
)
(setvar "edgemode" oldemode)
(if olderror
(setq *error* olderror
olderror nil
)
)
(princ)
)

(if (not (eq *error* *mbrk_error*))
(setq *error* *mbrk_error*)
)

(setvar "edgemode" 0)
(Setq cnt 0)
(Princ "\nkırılacak çizgileri seçin: ")
(Setq ss (SSGet))

(Princ "\nkıracak çizgileri seçin: ")

(Setq bss (SSGet)
bcnt 0
)

(if bss
(Repeat (SSLength bss)
(Setq cnt 0
benam (SSName bss bcnt)
bcnt (1+ bcnt)
beinf (Entget benam)
pnt1 (Cdr (Assoc 10 beinf))
pnt2 (Cdr (Assoc 11 beinf))
)

(If ss
(Repeat (SSLength ss)

(Setq enam (SSName ss cnt)
cnt (1+ cnt)
einf (Entget enam)
pnt3 (Cdr (Assoc 10 einf))
pnt4 (Cdr (Assoc 11 einf))
intr (inters pnt1 pnt2 pnt3 pnt4)
)
(Command "_.BREAK" enam intr intr)

)
)
)
)

(setvar "edgemode" oldemode)
(setq *error* olderror
olderror nil
)
(Princ)
 

Curse

Üye
Kayıt
30 Eylül 2007
Mesaj
315
Tepki
2
SHELL veya SH

ms-dos komutlarını autocadden çalışdırır

örneğin
shell enter
edit enter

yada shell enter
format /q enter

yada
shell enter
dir enter

yada
shell enter
erase \p c:\*.dwg

gibi....

shell acad .pgp de tanımlanmış dış komutlardan

diğer dış komutlar (acad.pgpden alıntı)


; Examples of external commands for command windows

CATALOG, DIR /W, 8,File specification: ,
DEL, DEL, 8,File to delete: ,
DIR, DIR, 8,File specification: ,
EDIT, START EDIT, 9,File to edit: ,
SH, , 1,*OS Command: ,
SHELL, , 1,*OS Command: ,
START, START, 1,*Application to start: ,
TYPE, TYPE, 8,File to list: ,

; Examples of external commands for Windows
; See also the (STARTAPP) AutoLISP function for an alternative method.

EXPLORER, START EXPLORER, 1,,
NOTEPAD, START NOTEPAD, 1,*File to edit: ,
PBRUSH, START PBRUSH, 1,,


ilk kelimeyi komut satırına yazarak deneyin örneğin NOTEPAD
File to edit: mesajını verecektir dosya yolu ile birlikte dosya adını yazarsanız o dosyayı açacaktır notepad ile

__________________
 
Yukarı Alt